Package org.apache.cxf.helpers

# Class JavaUtils

java.lang.Object
org.apache.cxf.helpers.JavaUtils

public final class JavaUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Integer`
  `getJavaMajorVersion()`
  `static boolean`
  `isJava11Compatible()`
  `static boolean`
  `isJava8Before161()`
  `static boolean`
  `isJava9Compatible()`
  `static boolean`
  `isJavaKeyword(String keyword)`
  checks if the input string is a valid java keyword.
  `static String`
  `makeNonJavaKeyword(String keyword)`
  Turn a java keyword string into a non-Java keyword string.
  `static void`
  `setJavaMajorVersion(Integer javaMajorVersion)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isJavaKeyword

    public static boolean isJavaKeyword(String keyword)
    checks if the input string is a valid java keyword.
    Returns:
      boolean true/false

  - ### makeNonJavaKeyword

    public static String makeNonJavaKeyword(String keyword)
    Turn a java keyword string into a non-Java keyword string. (Right now this simply means appending an underscore.)

  - ### isJava9Compatible

    public static boolean isJava9Compatible()

  - ### isJava11Compatible

    public static boolean isJava11Compatible()

  - ### isJava8Before161

    public static boolean isJava8Before161()

  - ### setJavaMajorVersion

    public static void setJavaMajorVersion(Integer javaMajorVersion)

  - ### getJavaMajorVersion

    public static Integer getJavaMajorVersion()